/* ========================================
 *  PurestConsole3Buss - PurestConsole3Buss.h
 *  Copyright (c) airwindows, Airwindows uses the MIT license
 * ======================================== */

#include "PurestConsole3Buss.h"

#ifdef SHR3D_SFX_CORE_AIRWINDOWS

#include <cmath>
namespace airwinconsolidated::PurestConsole3Buss {

PurestConsole3Buss::PurestConsole3Buss()
{
	fpdL = 1; while (fpdL < 16386) fpdL = rand()*UINT32_MAX;
	fpdR = 1; while (fpdR < 16386) fpdR = rand()*UINT32_MAX;
	//this is reset: values being initialized only once. Startup values, whatever they are.
}

int PurestConsole3Buss::getParameterCount() const
{
	return kNumParameters;
}

void PurestConsole3Buss::setParameter(int index, float value) {
}

float PurestConsole3Buss::getParameter(int index) {
    return 0.0; //we only need to update the relevant name, this is simple to manage
}

void PurestConsole3Buss::getParameterName(int index, char *text) {
}

void PurestConsole3Buss::getParameterDisplay(int index, char *text) {
}

void PurestConsole3Buss::getParameterLabel(int index, char *text) {
}




} // end namespace

#endif // SHR3D_SFX_CORE_AIRWINDOWS
